Index: /trunk/src/VBox/Installer/linux/install.sh
===================================================================
--- /trunk/src/VBox/Installer/linux/install.sh	(revision 59882)
+++ /trunk/src/VBox/Installer/linux/install.sh	(revision 59883)
@@ -371,13 +371,5 @@
 
     info ""
-    if test -n "${START_SERVICES}" || lsmod | grep -q vboxdrv
-    then
-        info "VirtualBox has been installed successfully."
-    else
-        info "VirtualBox has been installed successfully, but the kernel module could not"
-        info "be built.  When you have fixed the problems preventing this, execute"
-        info "  /sbin/vboxconfig"
-        info "as administrator to build it."
-    fi
+    info "VirtualBox has been installed successfully."
     info ""
     info "You will find useful information about using VirtualBox in the user manual"
Index: /trunk/src/VBox/Installer/linux/postinst-common.sh
===================================================================
--- /trunk/src/VBox/Installer/linux/postinst-common.sh	(revision 59882)
+++ /trunk/src/VBox/Installer/linux/postinst-common.sh	(revision 59883)
@@ -98,4 +98,11 @@
 test -n "${START}" &&
 {
+    if ! "${MY_PATH}/vboxdrv.sh" setup; then
+        "${MY_PATH}/check_module_dependencies.sh" >&2
+        echo >&2
+        echo "There were problems setting up VirtualBox.  To re-start the set-up process, run" >&2
+        echo "  /sbin/vboxconfig" >&2
+        echo "as root." >&2
+    fi
     start_init_script vboxdrv
     start_init_script vboxballoonctrl-service
Index: /trunk/src/VBox/Installer/linux/vboxdrv.sh
===================================================================
--- /trunk/src/VBox/Installer/linux/vboxdrv.sh	(revision 59882)
+++ /trunk/src/VBox/Installer/linux/vboxdrv.sh	(revision 59883)
@@ -108,5 +108,5 @@
 {
     fail_msg "$1"
-    exit 0
+    exit 1
 }
 
